View Issue Details

IDProjectCategoryView StatusLast Update
00035673 - Current Dev ListBugpublic2019-11-11 05:00
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.245 
Summary0003567: Car icon with distance and heading is missing from the Lookup Pane
DescriptionWhen putting a callsign into the Lookup Pane (on left side of display), the "car" icon that shows the distance and heading/direction to that station is missing from the Licensee section of the Lookup Pane.

Users could click on this and it would turn their rotor.
Steps To Reproduce1. Open HRD Logbook
2. On the top menu click on "VIEW" and select "Lookup"
3. The Lookup Pane will then be visible on the left side of the Logbook display.
4. Enter a callsign into the lookup pane (like "WA9PIE")

BUG: Notice that the Lookup panel does not display the car icon it used to that displayed the "distance, heading" to the station.
Tags6.7 defects
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003549 new station info structure not initialized when debugging without QLM Developer license 

Activities

WA9PIE

2019-11-09 07:14

administrator  

CarMissing.png (107,441 bytes)
CarMissing.png (107,441 bytes)

K7ZCZ

2019-11-10 18:49

administrator   ~0009236


This issue is difficult to test as I don't have a QLM development license on my laptop and the issue documented in Mantis 3549 prevents me from setting my station, which means I have to work around to set my own location so that the relative location to the looked-up station can be computed.

But I think I've got this fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5283

PD9FER

2019-11-10 23:39

updater   ~0009246

confirm fixed in 6.7.0.245

WA9PIE

2019-11-11 04:59

administrator   ~0009250

The car is there. But the lat and long are on different lines. I'm not sure how that affects the app.

But as for what this was, it's validated.

Issue History

Date Modified Username Field Change
2019-11-09 07:14 WA9PIE New Issue
2019-11-09 07:14 WA9PIE Tag Attached: 6.7 defects
2019-11-09 07:14 WA9PIE File Added: CarMissing.png
2019-11-09 17:21 WA9PIE Status new => assigned
2019-11-09 17:21 WA9PIE Assigned To => K7ZCZ
2019-11-10 18:49 K7ZCZ Status assigned => resolved
2019-11-10 18:49 K7ZCZ Resolution open => fixed
2019-11-10 18:49 K7ZCZ Note Added: 0009236
2019-11-10 19:00 K7ZCZ Relationship added related to 0003549
2019-11-10 23:15 WA9PIE Fixed in Version => 6.7.0.245
2019-11-10 23:39 PD9FER Note Added: 0009246
2019-11-11 04:59 WA9PIE Note Added: 0009250
2019-11-11 05:00 WA9PIE Status resolved => closed
2019-11-11 05:00 WA9PIE Description Updated View Revisions
2019-11-11 05:00 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-11 05:00 WA9PIE Testing Not Started => Beta Successful